<!DOCTYPE html>
<html>
    <head>
        <script>
function update_response() {
    let input = document.getElementById("via");
    let output = document.getElementById("response");
    console.log(input.value);
    fetch("/via/" + encodeURIComponent(input.value), {"method": "GET"})
        .then((response) => {
            if (response.ok) {
                response.text().then((x) => {
                    output.innerText = x
                })
            } 
        });
}
        </script>
    </head>
<body>

<label for="lname">Code:</label>
<input type="text" id="via" oninput="update_response()"><br><br>
<div id="response"></div>

</body>
</html> 
